function rest_vec = evaluate_rest(Psi,alpha,B,C,Rmat_alpha,rvec_alpha,Rmat_lr,rvec_lr,Rmat_sr,rvec_sr,Rmat_C,rvec_C)

rest_vec = [];
if isempty(Rmat_alpha)==0;
   rest_vec = Rmat_alpha*vec([Psi alpha])-rvec_alpha;
end;

if isempty(Rmat_C)==0;
   rest_vec = [rest_vec;Rmat_C*vec(C)-rvec_C];
end;

if isempty(Rmat_lr)==0;
   rest_vec = [rest_vec;Rmat_lr*vec(C*B)-rvec_lr];
end;

if isempty(Rmat_sr)==0;
   rest_vec = [rest_vec;Rmat_sr*vec(B)-rvec_sr];
end;

%
% end of evaluate_rest.m
%
