function fixvarini(num)

i = 0;

if fileexist('var.ini')==1;
   inifile = readtext('var.ini');
   i = size(inifile,2);
end;

if i<num;
   %
   % initialize the ini-file settings
   %
   curr_ini = initialize_inifile;
   if fileexist('var.ini')==1;
      fini = fopen('var.ini','at');
   else;
      fini = fopen('var.ini','wt');
   end;
   if i==0;
      fprintf(fini,['max iterations = ' num2str(curr_ini.maxit) '\n']);
   end;
   if i<=1;
      if curr_ini.convcrit<10;
         fprintf(fini,['convergence criterion = 1.0e-00' num2str(curr_ini.convcrit) '\n']);
      else;
         fprintf(fini,['convergence criterion = 1.0e-0' num2str(curr_ini.convcrit) '\n']);
      end;
   end;
   if i<=2;
      fprintf(fini,['max lag length = ' num2str(curr_ini.maxlag) '\n']);
   end;
   if i<=3;
      fprintf(fini,['close matlab = ' num2str(curr_ini.openvar) '\n']);
   end;
   if i<=4;
      fprintf(fini,['residual statistics = ' num2str(curr_ini.restat) '\n']);
   end;
   if i<=5;
      fprintf(fini,['geometry = ' num2str(curr_ini.geometry(1,1)) ' ' num2str(curr_ini.geometry(1,2)) '\n']);
   end;
   if i<=6;
      fprintf(fini,['method = ' num2str(curr_ini.method(1,1)) ' ' num2str(curr_ini.method(1,2)) ' ' num2str(curr_ini.method(1,3)) '\n']);
   end;
   if i<=7;
      fprintf(fini,['external apps = ' num2str(curr_ini.external) '\n']);
   end;
   if i<=8;
      fprintf(fini,['graphics format = ' curr_ini.graphicsfmt '\n']);
   end;
   if i<=9;
      fprintf(fini,'%s\n',['ai-viewer = ' curr_ini.aiviewer]);
   end;
   if i<=10;
      fprintf(fini,'%s\n',['eps-viewer = ' curr_ini.epsviewer]);
   end;
   if i<=11;
      fprintf(fini,'%s\n',['bitmap-viewer = ' curr_ini.bitmapviewer]);
   end;
   if i<=12;
      fprintf(fini,['small-sample correction = ' num2str(curr_ini.sscorrect) '\n']);
   end;
   if i<=13;
      fprintf(fini,['append to output = ' num2str(curr_ini.append) '\n']);
   end;
   if i<=14;
      fprintf(fini,['color graphs = ' num2str(curr_ini.colors) '\n']);
   end;
   if i<=15;
      fprintf(fini,['landscape = ' num2str(curr_ini.landscape) '\n']);
   end;
   if i<=16;
      fprintf(fini,['paper position mode = ' curr_ini.paperposmode '\n']);
   end;
   if i<=17;
      fprintf(fini,['paper type = ' curr_ini.papertype '\n']);
   end;
   if i<=18;
      fprintf(fini,['portmanteau = ' num2str(curr_ini.portmanteau) '\n']);
   end;
   if i<=19;
      fprintf(fini,['x-grid lines = ' num2str(curr_ini.xgrid) '\n']);
   end;
   if i<=20;
      fprintf(fini,['box graphs = ' num2str(curr_ini.box) '\n']);
   end;
   if i<=21;
      fprintf(fini,['omnibus = ' num2str(curr_ini.omnibus) '\n']);
   end;
   if i<=22;
      fprintf(fini,['critical value = ' num2str(curr_ini.critval) '\n']);
   end;
   if i<=23;
      fprintf(fini,['directory structure = ' num2str(curr_ini.dirstructure) '\n']);
   end;
   if i<=24;
      fprintf(fini,'%s\n',['editor = ' curr_ini.editor]);
   end;
   if i<=25;
      fprintf(fini,'recursive = %1.8f\n',curr_ini.T0);
   end;
   if i<=26;
      fprintf(fini,['fluctuations test = ' num2str(curr_ini.fluctest) '\n']);
   end;
   if i<=27;
      fprintf(fini,['nyblom test = ' num2str(curr_ini.nyblom) '\n']);
   end;
   if i<=28;
      fprintf(fini,['information criteria = ' num2str(curr_ini.akaike) '\n']);
   end;
   if i<=29;
      fprintf(fini,'%s\n',['help command = ' curr_ini.helpexe]);
   end;
   if i<=30;
      fprintf(fini,['short-run dynamics = ' num2str(curr_ini.shortdyn) '\n']);
   end;
   if i<=31;
      fprintf(fini,['weak exogeneity test = ' num2str(curr_ini.weakexo) '\n']);
   end;
   if i<=32;
      fprintf(fini,['granger causality test = ' num2str(curr_ini.gctest) '\n']);
   end;
   if i<=33;
      fprintf(fini,['y-grid lines = ' num2str(curr_ini.ygrid) '\n']);
   end;
   if i<=34;
      fprintf(fini,['chow divide = ' num2str(curr_ini.chowfc) '\n']);
   end;
   if i<=35;
      fprintf(fini,['chow test = ' num2str(curr_ini.chow) '\n']);
   end;
   if i<=36;
      fprintf(fini,['lstr test = ' num2str(curr_ini.lstrtest) '\n']);
   end;
   if i<=37;
      fprintf(fini,['full sample recursion = ' num2str(curr_ini.fullrec) '\n']);
   end;
   if i<=38;
      fprintf(fini,['correct trace test = ' num2str(curr_ini.tracebart) '\n']);
   end;
   if i<=39;
      fprintf(fini,['lag order test = ' num2str(curr_ini.lagtest) '\n']);
   end;
   if i<=40;
      fprintf(fini,['max response horizon = ' num2str(curr_ini.maxresp) '\n']);
   end;
   if i<=41;
      fprintf(fini,['recursive alpha = ' num2str(curr_ini.recalpha) '\n']);
   end;
   if i<=42;
      fprintf(fini,['recursive companion eigenvalue = ' num2str(curr_ini.topeig) '\n']);
   end;
   if i<=43;
      fprintf(fini,['beta gradient = ' num2str(curr_ini.betagrad) '\n']);
   end;
   if i<=44;
      fprintf(fini,'reopen list = %s\n',curr_ini.reopenlist);
   end;
   if i<=45;
      fprintf(fini,['use last file = ' num2str(curr_ini.uselastfile) '\n']);
   end;
   if i<=46;
      fprintf(fini,'last file = \n');
   end;
   if i<=47;
      fprintf(fini,['start run = ' num2str(curr_ini.startrun) '\n']);
   end;
   if i<=48;
      fprintf(fini,['open output file = ' num2str(curr_ini.openmyoutput) '\n']);
   end;
   if i<=49;
      fprintf(fini,['no silly questions = ' num2str(curr_ini.sillyq) '\n']);
   end;
   if i<=50;
      fprintf(fini,'%s\n',['text print = ' curr_ini.txtprint]);
   end;
   if i<=51;
      fprintf(fini,'%s\n',['text print command = ' curr_ini.txtprintcmd]);
   end;
   if i<=52;
      fprintf(fini,'%s\n',['postscript print = ' curr_ini.psprint]);
   end;
   if i<=53;
      fprintf(fini,'%s\n',['postscript print command = ' curr_ini.psprintcmd]);
   end;
   if i<=54;
      fprintf(fini,['rahbek-mosconi solution = ' num2str(curr_ini.rahbek) '\n']);
   end;
   if i<=55;
      fprintf(fini,['extra convergence criterion = ' num2str(curr_ini.extraccrit) '\n']);
   end;
   if i<=56;
      fprintf(fini,['no printed output = ' num2str(curr_ini.noprint) '\n']);
   end;
   if i<=57;
      fprintf(fini,['reestimate beta = ' num2str(curr_ini.reestbeta) '\n']);
   end;
   if i<=58;
      fprintf(fini,'%s\n',['ghostscript = ' curr_ini.ghostscript]);
   end;
   if i<=59;
      fprintf(fini,'%s\n',['pstoedit = ' curr_ini.pstoedit]);
   end;
   if i<=60;
      fprintf(fini,'%s\n',['paperunits = ' curr_ini.paperunits]);
   end;
   if i<=61;
      fprintf(fini,['transformed eigenvalues = ' num2str(curr_ini.transeig) '\n']);
   end;
   if i<=62;
      fprintf(fini,['z-grid lines = ' num2str(curr_ini.zgrid) '\n']);
   end;
   if i<=63;
      fprintf(fini,'%s\n',['text font name = ' curr_ini.text_fontname]);
   end;
   if i<=64;
      fprintf(fini,['text font size = ' num2str(curr_ini.text_fontsize) '\n']);
   end;
   if i<=65;
      fprintf(fini,'%s\n',['text font weight = ' curr_ini.text_fontweight]);
   end;
   if i<=66;
      fprintf(fini,'%s\n',['text font angle = ' curr_ini.text_fontangle]);
   end;
   if i<=67;
      fprintf(fini,'%s\n',['text font units = ' curr_ini.text_fontunits]);
   end;
   if i<=68;
      fprintf(fini,['text color = ' num2str(curr_ini.text_color) '\n']);
   end;
   if i<=69;
      fprintf(fini,['text background color = ' num2str(curr_ini.text_backgroundcolor) '\n']);
   end;
   if i<=70;
      fprintf(fini,'%s\n',['axes font name = ' curr_ini.axes_fontname]);
   end;
   if i<=71;
      fprintf(fini,['axes font size = ' num2str(curr_ini.axes_fontsize) '\n']);
   end;
   if i<=72;
      fprintf(fini,'%s\n',['axes font weight = ' curr_ini.axes_fontweight]);
   end;
   if i<=73;
      fprintf(fini,'%s\n',['axes font angle = ' curr_ini.axes_fontangle]);
   end;
   if i<=74;
      fprintf(fini,'%s\n',['axes font units = ' curr_ini.axes_fontunits]);
   end;
   if i<=75;
      fprintf(fini,['axes color = ' num2str(curr_ini.axes_color) '\n']);
   end;
   if i<=76;
      fprintf(fini,'%s\n',['title font name = ' curr_ini.title_fontname]);
   end;
   if i<=77;
      fprintf(fini,['title font size = ' num2str(curr_ini.title_fontsize) '\n']);
   end;
   if i<=78;
      fprintf(fini,'%s\n',['title font weight = ' curr_ini.title_fontweight]);
   end;
   if i<=79;
      fprintf(fini,'%s\n',['title font angle = ' curr_ini.title_fontangle]);
   end;
   if i<=80;
      fprintf(fini,'%s\n',['title font units = ' curr_ini.title_fontunits]);
   end;
   if i<=81;
      fprintf(fini,['title color = ' num2str(curr_ini.title_color) '\n']);
   end;
   if i<=82;
      fprintf(fini,'%s\n',['label font name = ' curr_ini.label_fontname]);
   end;
   if i<=83;
      fprintf(fini,['label font size = ' num2str(curr_ini.label_fontsize) '\n']);
   end;
   if i<=84;
      fprintf(fini,'%s\n',['label font weight = ' curr_ini.label_fontweight]);
   end;
   if i<=85;
      fprintf(fini,'%s\n',['label font angle = ' curr_ini.label_fontangle]);
   end;
   if i<=86;
      fprintf(fini,'%s\n',['label font units = ' curr_ini.label_fontunits]);
   end;
   if i<=87;
      fprintf(fini,['label color = ' num2str(curr_ini.label_color) '\n']);
   end;
   if i<=88;
      fprintf(fini,['random number generator state = ' num2str(curr_ini.random_state) '\n']);
   end;
   if i<=89;
      fprintf(fini,['number of replications = ' num2str(curr_ini.nRep) '\n']);
   end;
   if i<=90;
      fprintf(fini,['draws per replication = ' num2str(curr_ini.nDraw) '\n']);
   end;
   if i<=91;
      fprintf(fini,'%s\n',['interpolation function = ' curr_ini.interpolate]);
   end;
   if i<=92;
      fprintf(fini,'%s\n',['simulation directory = ' lower(curr_ini.simulatedir)]);
   end;
   if i<=93;
      fprintf(fini,['color printing = ' num2str(curr_ini.invert_hardcopy) '\n']);
   end;
   if i<=94;
      fprintf(fini,['centering = ' num2str(curr_ini.center_value) '\n']);
   end;
   if i<=95;
      fprintf(fini,['filling = ' num2str(curr_ini.fill_value) '\n']);
   end;
   if i<=96;
      fprintf(fini,['crop image = ' num2str(curr_ini.crop_image) '\n']);
   end;
   if i<=97;
      fprintf(fini,['edit context menu = ' num2str(curr_ini.edit_context) '\n']);
   end;
   if i<=98;
      fprintf(fini,['zbuffer = ' num2str(curr_ini.z_buffer) '\n']);
   end;
   if i<=99;
      fprintf(fini,['use_toolbar_bgcolor = ' num2str(curr_ini.use_toolbar_bgcolor) '\n']);
   end;
   if i<=100;
      fprintf(fini,['gui_light_color = ' num2str(curr_ini.gui_light_color) '\n']);
   end;
   if i<=101;
      fprintf(fini,['gui_shade_color = ' num2str(curr_ini.gui_shade_color) '\n']);
   end;
   if i<=102;
      fprintf(fini,['gui_dark_color = ' num2str(curr_ini.gui_dark_color) '\n']);
   end;
   if i<=103;
      fprintf(fini,['reuse_bootstrap = ' num2str(curr_ini.reuse_bootstrap) '\n']);
   end;
   if i<=104;
      fprintf(fini,['taylor expansion of nyblom test = ' num2str(curr_ini.taylor_nyblom) '\n']);
   end;
   if i<=105;
      fprintf(fini,['nyblom test under beta restrictions = ' num2str(curr_ini.nyblombeta) '\n']);
   end;
   if i<=106;
      fprintf(fini,['bartlett correct lag tests = ' num2str(curr_ini.bartserial) '\n']);
   end;
   if i<=107;
      fprintf(fini,['correct portmanteau test = ' num2str(curr_ini.lbcorrect) '\n']);
   end;
   if i<=108;
      fprintf(fini,['default identification method = ' num2str(curr_ini.identify) '\n']);
   end;
   if i<=109;
      fprintf(fini,['fix y labels = ' num2str(curr_ini.ytick) '\n']);
   end;
   if i<=110;
      fprintf(fini,'%s\n',['latex = ' lower(curr_ini.latex)]);
   end;
   if i<=111;
      fprintf(fini,'%s\n',['dviviewer = ' lower(curr_ini.dviviewer)]);
   end;
   if i<=112;
      fprintf(fini,'%s\n',['distiller = ' lower(curr_ini.distiller)]);
   end;
   if i<=113;
      fprintf(fini,'%s\n',['psviewer = ' lower(curr_ini.psviewer)]);
   end;
   if i<=114;
      fprintf(fini,'%s\n',['pdfviewer = ' lower(curr_ini.pdfviewer)]);
   end;
   if i<=115;
      fprintf(fini,['TeX output format = ' num2str(curr_ini.texoutputformat) '\n']);
   end;
   if i<=116;
      fprintf(fini,'%s\n',['TeX header = ' curr_ini.texheader]);
   end;
   if i<=117;
      fprintf(fini,['use dvipdfm = ' num2str(curr_ini.dvipdfm) '\n']);
   end;
   if i<=118;
      fprintf(fini,['out-of-sample forecasts = ' num2str(curr_ini.outofsample) '\n']);
   end;
   if i<=119;
      fprintf(fini,['fix x labels = ' num2str(curr_ini.xtick) '\n']);
   end;
   if i<=120;
      fprintf(fini,['figure icons = ' num2str(curr_ini.loadicon) '\n']);
   end;
   if i<=121;
      fprintf(fini,'%s\n',['pstools directory = ' curr_ini.pstoolsdir]);
   end;
   if i<=122;
      fprintf(fini,['gui icons = ' num2str(curr_ini.loadguiicon) '\n']);
   end;
   if i<=123;
      fprintf(fini,['delay = ' num2str(curr_ini.delay) '\n']);
   end;
   if i<=124;
      fprintf(fini,'%s\n',['tempdir = ' curr_ini.tempdir]);
   end;
   if i<=125;
      fprintf(fini,['browse dialog = ' num2str(curr_ini.browsedialog) '\n']);
   end;
   if i<=126;
      fprintf(fini,['open dialog = ' num2str(curr_ini.opendialog) '\n']);
   end;
   if i<=127;
      fprintf(fini,['no icon = ' num2str(curr_ini.noicon) '\n']);
   end;
   if i<=128;
      fprintf(fini,'%s\n',['pdf version = ' curr_ini.pdfversion]);
   end;
   if i<=129;
      fprintf(fini,['recursive pi = ' num2str(curr_ini.recpi) '\n']);
   end;
   if i<=130;
      fprintf(fini,['show log tab = ' num2str(curr_ini.logtab) '\n']);
   end;
   if i<=131;
      fprintf(fini,['maximize viewer = ' num2str(curr_ini.maximizeviewer) '\n']);
   end;
   if i<=132;
      fprintf(fini,['symmetric omega = ' num2str(curr_ini.symmetric) '\n']);
   end;
   if i<=133;
      fprintf(fini,['recursive trace = ' num2str(curr_ini.rectrace) '\n']);
   end;
   if i<=134;
      fprintf(fini,['export data = ' num2str(curr_ini.exportdata) '\n']);
   end;
   if i<=135;
      fprintf(fini,['forecast horizon = ' num2str(curr_ini.forecasthorizon) '\n']);
   end;
   if i<=136;
      fprintf(fini,['exclusion and stationarity = ' num2str(curr_ini.excludestat) '\n']);
   end;
   if i<=137;
      fprintf(fini,['noise parameter = ' num2str(curr_ini.noise_parm,'%0.8f') '\n']);
   end;
   if i<=138;
      fprintf(fini,['no clear log = ' num2str(curr_ini.clearlog) '\n']);
   end;
   if i<=139;
      fprintf(fini,['parametric bootstrap = ' num2str(curr_ini.parametric) '\n']);
   end;
   if i<=140;
      fprintf(fini,['dummy tests = ' num2str(curr_ini.dummytests) '\n']);
   end;
   if i<=141;
      fprintf(fini,['common cycle tests = ' num2str(curr_ini.commoncycles) '\n']);
   end;
   if i<=142;
      fprintf(fini,['block size = ' num2str(curr_ini.blocksize) '\n']);
   end;
   if i<=143;
      fprintf(fini,['normalize beta = ' num2str(curr_ini.normbeta) '\n']);
   end;
   if i<=144;
      fprintf(fini,['decompose deterministics = ' num2str(curr_ini.decompose_det) '\n']);
   end;
   if i<=145;
      fprintf(fini,['burn-in draws = ' num2str(curr_ini.burn_in) '\n']);
   end;
   if i<=146;
      fprintf(fini,['save draws = ' num2str(curr_ini.save_draws) '\n']);
   end;
   if i<=147;
      fprintf(fini,['save draws frequency = ' num2str(curr_ini.save_freq) '\n']);
   end;
   if i<=148;
      fprintf(fini,['baseline shrinkage = ' num2str(curr_ini.lambda_b) '\n']);
   end;
   if i<=149;
      fprintf(fini,['off-diagonal shrinkage = ' num2str(curr_ini.lambda_theta) '\n']);
   end;
   if i<=150;
      fprintf(fini,['lag shrinkage = ' num2str(curr_ini.lambda_l) '\n']);
   end;
   if i<=151;
      fprintf(fini,['exogeneity shrinkage = ' num2str(curr_ini.lambda_e) '\n']);
   end;
   if i<=152;
      fprintf(fini,['deterministic shrinkage = ' num2str(curr_ini.lambda_d) '\n']);
   end;
   if i<=153;
      fprintf(fini,['alpha shrinkage = ' num2str(curr_ini.lambda_alpha) '\n']);
   end;
   if i<=154;
      fprintf(fini,['model select max lag = ' num2str(curr_ini.ms_maxlag) '\n']);
   end;
   if i<=155;
      fprintf(fini,['discard explosive processes = ' num2str(curr_ini.discard_explosive) '\n']);
   end;
   if i<=156;
      fprintf(fini,['informative shortrun prior = ' num2str(curr_ini.prior_inf_shortrun) '\n']);
   end;
   if i<=157;
      fprintf(fini,['informative deterministics prior = ' num2str(curr_ini.prior_inf_deter) '\n']);
   end;
   if i<=158;
      fprintf(fini,['informative alpha prior = ' num2str(curr_ini.prior_inf_alpha) '\n']);
   end;
   if i<=159;
      fprintf(fini,['informative Omega prior = ' num2str(curr_ini.prior_inf_omega) '\n']);
   end;
   if i<=160;
      fprintf(fini,['skip bad draws = ' num2str(curr_ini.bad_draws) '\n']);
   end;
   if i<=161;
      fprintf(fini,['a matrix = ' num2str(curr_ini.amat_type) '\n']);
   end;
   if i<=162;
      fprintf(fini,['a shrinkage = ' num2str(curr_ini.lambda_a) '\n']);
   end;
   if i<=163;
      fprintf(fini,['q df = ' num2str(curr_ini.q_df) '\n']);
   end;
   if i<=164;
      fprintf(fini,['A matrix lag order = ' num2str(curr_ini.amat_lag) '\n']);
   end;
   if i<=165;
      fprintf(fini,['GUI font weight = ' curr_ini.gui_fontweight '\n']);
   end;
   if i<=166;
      fprintf(fini,['GUI font angle = ' curr_ini.gui_fontangle '\n']);
   end;
   if i<=167;
      fprintf(fini,['GUI font name = ' curr_ini.gui_fontname '\n']);
   end;
   if i<=168;
      fprintf(fini,['GUI font size = ' num2str(curr_ini.gui_fontsize) '\n']);
   end;
   if i<=169;
      fprintf(fini,['GUI font = ' num2str(curr_ini.gui_font) '\n']);
   end;
   if i<=170;
      fprintf(fini,['show undo button = ' num2str(curr_ini.show_undo) '\n']);
   end;
   if i<=171;
      fprintf(fini,['frame color = ' num2str(curr_ini.frame_color) '\n']);
   end;
   if i<=172;
      fprintf(fini,['frame light color = ' num2str(curr_ini.frame_light_color) '\n']);
   end;
   if i<=173;
      fprintf(fini,['frame shade color = ' num2str(curr_ini.frame_shade_color) '\n']);
   end;
   if i<=174;
      fprintf(fini,['frame dark color = ' num2str(curr_ini.frame_dark_color) '\n']);
   end;
   if i<=175;
      fprintf(fini,['GUI foreground color = ' num2str(curr_ini.gui_foreground_color) '\n']);
   end;
   if i<=176;
      fprintf(fini,['restricted multivariate arch = ' num2str(curr_ini.rest_march) '\n']);
   end;
   if i<=177;
      fprintf(fini,['exclude first differences = ' num2str(curr_ini.excludediffs) '\n']);
   end;
   if i<=178;
      fprintf(fini,['number of decimals for output = ' num2str(curr_ini.decimals) '\n']);
   end;
   if i<=179;
      fprintf(fini,['progress face color = ' num2str(curr_ini.progress_facecolor) '\n']);
   end;
   if i<=180;
      fprintf(fini,['progress edge color = ' num2str(curr_ini.progress_edgecolor) '\n']);
   end;
   if i<=181;
      fprintf(fini,['progress background color = ' num2str(curr_ini.progress_bgcolor) '\n']);
   end;
   if i<=182;
      fprintf(fini,['progress start face color = ' num2str(curr_ini.progress_startfacecolor) '\n']);
   end;
   fclose(fini);
end;

%
% end of fixvarini.m
%
