function textgui_copy_fcn

textdlg = get(0,'CurrentFigure');
mytext = get(textdlg,'UserData');
txt_str = get(mytext.text,'String');

fig = figure('Color',get(0,'defaultuicontrolbackgroundcolor'), ...
   'FileName','textgui.m', ...
   'MenuBar','none', ...
   'PaperUnits','points', ...
   'Units','pixels', ...
   'Position',[0 0 800 600], ...
   'Tag','Temp', ...
   'Name','temp', ...
   'NumberTitle','off', ...
   'MenuBar','none', ...
   'Visible','off', ...
   'ToolBar','none');

textaxes = axes('Units','pixels', ...
         'Box','on', ...
         'TickLength',[0 0], ...
         'CameraUpVector',[0 1 0], ...
         'Color',get(0,'defaultuicontrolbackgroundcolor'), ...
         'Position',[16 16 768 568], ...
         'XTickLabelMode','manual', ...
         'YTickLabelMode','manual', ...
         'Tag','AxisText', ...
         'XColor',get(0,'defaultuicontrolbackgroundcolor'), ...
         'YColor',get(0,'defaultuicontrolbackgroundcolor'), ...
         'ZColor',get(0,'defaultuicontrolbackgroundcolor'));

txt_hdl = text('Parent',textaxes,'Position',[0 0.5],'String',txt_str,'FontSize',8,'HorizontalAlignment','left','Interpreter','none','Editing','on');
editmenufcn(fig,'EditSelectAll');
editmenufcn(fig,'EditCopy');
close(fig);

%
% end of textgui_copy_fcn.m
%
