function uimenu_check_fcn

kids = get(get(gcbo,'Parent'),'Children')';

for j=1:size(kids,2);
   set(kids(1,j),'Checked','off');
end;

set(gcbo,'Checked','on');

%
% fix all other context menus if we're dealing with the
% context menu of a surface
%

gcbo_par = get(gcbo,'Parent');
mylabels = {'Colormap' 'Surface Shading' 'Ambient Light' 'Back-face Lighting' 'Diffuse Strength' 'Face Lighting' 'Specular Color Reflectance' 'Specular Exponent' 'Specular Strength'};
fix_extra = 0;
for i=1:size(mylabels,2);
   if strcmp(get(gcbo_par,'Label'),mylabels{i})==1;
      fix_extra = 1;
      this_label = mylabels{i};
      break;
   end;
end;

if fix_extra==1;
   if strcmp(this_label,'Colormap')==1;
      all_colormap_context = sort(findobj(gcf,'Type','uimenu','Label','Colormap')');
   else;
      all_colormap_context = sort(findobj(gca,'Type','uimenu','Label',this_label)');
   end;
   curr_label = lower(get(gcbo,'Label'));
   if isempty(all_colormap_context)==0;
      for i=1:size(all_colormap_context,2);
         if all_colormap_context(1,i)~=gcbo_par;
            kids = get(all_colormap_context(1,i),'Children')';
            for j=1:size(kids,2);
               if strcmp(lower(get(kids(1,j),'Label')),curr_label)==1;
                  set(kids(1,j),'Checked','on');
               else;
                  set(kids(1,j),'Checked','off');
               end;
            end;
         end;
      end;
   end;
end;

%
% end of uimenu_check_fcn.m
%
