function outmat = bw(inmat,keepcolor)

%
% function to return black & white images from
% colors
%

[n1 n2 n3] = size(inmat);

outmat = inmat;

for i=1:n1;
   for j=1:n2;
      thiscolor = [];
      for k=1:n3;
         thiscolor = [thiscolor outmat(i,j,k)];
      end;
      if isequal(thiscolor,keepcolor)==0;
         in = round(sum(thiscolor)/3);
         if in<50;
            in = 100+in;
         end;
         for k=1:n3;
            outmat(i,j,k) = in;
         end;
      end;
   end;
end;

%
% end of bw.m
%
