function [out,m_v,oldmodel_var] = main_checkendo_fcn(out,m_v,curr_ini,oldmodel_var,button_images,fig)

backendofile = m_v.endofile;
m_v.endofile = get(out.endogenous,'String');
%
% test if data has changed and if so change value of Enable
% property of out.run and out.estimate depending on if new
% 'String' property is valid. The modelsdir variable also needs to
% be fixed
%
if strcmp(m_v.endofile,backendofile)==0;
   if fileexist(m_v.endofile)==1;
      [n,filestatus,dtstr,m_v.endosheet,action] = loaddata(m_v.endofile);
      if (filestatus==1)&(strcmp(action,'Cancel')==0);
         set(out.store,'Enable','on');
         set(out.savemenu,'Enable','on');
         oldmodel_var.endofile = backendofile;
         endopath = getpath(m_v.endofile);
         m_v.modelsdir = endopath(1,1:size(endopath,2)-1);
         mypwd = pwd;
         if strcmp(mypwd(1,1),'/')==1;
            if curr_ini.dirstructure==1;
               resappend = '/';
               modappend = '/';
            else;
               resappend = '/results/';
               modappend = '/models/';
            end;
         else;
            if curr_ini.dirstructure==1;
               resappend = '\';
               modappend = '\';
            else;
               resappend = '\results\';
               modappend = '\models\';
            end;
         end;
         if curr_ini.dirstructure==1;
            m_v.basedir = m_v.modelsdir;
         else;
            numchar = size(m_v.modelsdir,2);
            for i=1:numchar;
               i1 = numchar+1-i;
               if m_v.modelsdir(1,i1)=='\';
                  m_v.basedir = m_v.modelsdir(1,1:i1-1);
                  break;
               elseif m_v.modelsdir(1,i1)=='/';
                  m_v.basedir = m_v.modelsdir(1,1:i1-1);
                  break;
               else;
                  if i==numchar;
                     m_v.basedir = m_v.modelsdir(1,1:i1-1);
                  end;
               end;
            end;
         end;
         resultsdir = strcat(m_v.basedir,resappend);
         m_v.modelsdir = strcat(m_v.basedir,modappend);
         if curr_ini.dirstructure==1;
            status = 2;
         else;
            if direxist(resultsdir)==0;
               status = makedirs(resultsdir);
            else;
               status = 2;
            end;
         end;
         if status>0;
            m_v.outputfile = strcat(resultsdir,['output-' getname(m_v.endofile) '.txt']);
         end;
         if strcmp(getpath(m_v.outputfile),getpath(oldmodel_var.outputfile))==0;
            m_v.newoutputpath = 1;
         end;
         set(out.endogenous,'String',m_v.endofile);
         if isempty(m_v.endosheet)==1;
            set(out.endosheettext,'String','Data sheet: None');
         else;
            set(out.endosheettext,'String',['Data sheet: ' m_v.endosheet]);
         end;
         m_v.exo1file = '';
         m_v.exo0file = '';
         m_v.deterfile = '';
         m_v.exo1sheet = '';
         m_v.exo0sheet = '';
         m_v.detersheet = '';
         set(out.exo1sheettext,'String','Data sheet: None');
         set(out.exo0sheettext,'String','Data sheet: None');
         set(out.detersheettext,'String','Data sheet: None');
         set(out.exogenous1,'String','');
         set(out.exogenous0,'String','');
         set(out.deterministic,'String','');
         set(out.exo1namesmenu,'Enable','off');
         set(out.change_exo1names,'Enable','off','CData',button_images.renamedisable);
         set(out.exogenous1text,'String','Exogenous I(1) variables:  None');
         set(out.exo0namesmenu,'Enable','off');
         set(out.change_exo0names,'Enable','off','CData',button_images.renamedisable);
         set(out.exogenous0text,'String','Exogenous I(0) variables:  None');
         set(out.deternamesmenu,'Enable','off');
         set(out.change_deternames,'Enable','off','CData',button_images.renamedisable);
         set(out.deterministictext,'String','Deterministic variables:  None');
         set(out.exo1graphicsmenu,'Enable','off');
         set(out.exo0graphicsmenu,'Enable','off');
         set(out.detergraphicsmenu,'Enable','off');
         set(out.exo1names,'Enable','off');
         set(out.exo0names,'Enable','off');
         set(out.deternames,'Enable','off');
         set(out.exo1menu,'Enable','on');
         set(out.exo0menu,'Enable','on');
         set(out.determenu,'Enable','on');
         set(out.exogenous1text,'Enable','on');
         if strcmp(get(out.exogenous1,'Type'),'uicontrol')==1;
            set(out.exogenous1,'Enable','on','BackgroundColor',[1 1 1]);
         else;
            editbox(out.exogenous1,'Enable','on','BackgroundColor',[1 1 1]);
         end;
         set(out.exo1button,'Enable','on','CData',button_images.browse);
         set(out.exogenous0text,'Enable','on');
         if strcmp(get(out.exogenous0,'Type'),'uicontrol')==1;
            set(out.exogenous0,'Enable','on','BackgroundColor',[1 1 1]);
         else;
            editbox(out.exogenous0,'Enable','on','BackgroundColor',[1 1 1]);
         end;
         set(out.exo0button,'Enable','on','CData',button_images.browse);
         set(out.deterministictext,'Enable','on');
         if strcmp(get(out.deterministic,'Type'),'uicontrol')==1;
            set(out.deterministic,'Enable','on','BackgroundColor',[1 1 1]);
         else;
            editbox(out.deterministic,'Enable','on','BackgroundColor',[1 1 1]);
         end;
         set(out.deterbutton,'Enable','on','CData',button_images.browse);
         [newevars,mystatus] = readnames(m_v.endofile,m_v.endosheet);
         if mystatus==1;
            checkvars = get(out.endonames,'UserData');
            if strcmp(checkvars,newevars)==0;
               m_v.evars = newevars;
               oldmodel_var.evars = checkvars;
               set(out.endonames,'UserData',m_v.evars);
            end;
         else;
            if strcmp(m_v.endofile,oldmodel_var.endofile)==0;
               oldmodel_var.evars = m_v.evars;
               m_v.evars = '';
               set(out.endonames,'UserData',m_v.evars);
            end;
         end;
         if status>0;
            set(out.outputfile,'String',m_v.outputfile);
            if strcmp(mypwd(1,1),'/')==1;
               m_v.inputfile = strcat(m_v.basedir,['/' getname(m_v.endofile) '.var']);
            else;
               m_v.inputfile = strcat(m_v.basedir,['\' getname(m_v.endofile) '.var']);
            end;
            set(out.open,'UserData',m_v.inputfile);
            m_v.nameinput = ' - model.var';
            set(fig,'Name',['Structural VAR - ' getname(m_v.endofile) '.var']);
         end;
         if isempty(dtstr)==0;
            dtnum = mystr2num(dtstr);
            [n1 n2] = size(dtnum);
            if n2>n1;
               dtnum = dtnum';
               [n1 n2] = size(dtnum);
            end;
            if n2==2;
               if max(dtnum(:,2))==12;
                  m_v.freq = 'm';
               elseif max(dtnum(:,2))==4;
                  m_v.freq = 'q';
               else;
                  m_v.freq = '';
               end;
               if isnumeric(dtnum(1,1))==1;
                  set(out.beginyear,'String',num2str(dtnum(1,1),'%1.0f'));
                  set(out.subbeginyear,'String',num2str(dtnum(1,1),'%1.0f'));
               end;
               if isnumeric(dtnum(1,2))==1;
                  set(out.beginperiod,'String',num2str(dtnum(1,2),'%1.0f'));
                  set(out.subbeginperiod,'String',num2str(dtnum(1,2),'%1.0f'));
               end;
               if isnumeric(dtnum(n1,1))==1;
                  set(out.endyear,'String',num2str(dtnum(n1,1),'%1.0f'));
                  set(out.subendyear,'String',num2str(dtnum(n1,1),'%1.0f'));
               end;
               if isnumeric(dtnum(n1,2))==1;
                  set(out.endperiod,'String',num2str(dtnum(n1,2),'%1.0f'));
                  set(out.subendperiod,'String',num2str(dtnum(n1,2),'%1.0f'));
               end;
               m_v.seasonal = [0 1];
               set(out.seasonal,'Enable','on','Value',0);
               set(out.noseasonal,'Enable','on','Value',1);
            else;
               m_v.freq = '';
               set(out.beginyear,'String','');
               set(out.subbeginyear,'String','');
               set(out.beginperiod,'String','');
               set(out.subbeginperiod,'String','');
               set(out.endyear,'String','');
               set(out.subendyear,'String','');
               set(out.endperiod,'String','');
               set(out.subendperiod,'String','');
               m_v.seasonal = [0 1];
               set(out.seasonal,'Enable','off','Value',0);
               set(out.noseasonal,'Enable','off','Value',1);
            end;
         else;
            m_v.freq = 'y';
            set(out.beginyear,'String','1');
            set(out.subbeginyear,'String','1');
            set(out.beginperiod,'String','1');
            set(out.subbeginperiod,'String','1');
            set(out.endyear,'String',num2str(max(size(n))));
            set(out.subendyear,'String',num2str(max(size(n))));
            set(out.endperiod,'String','1');
            set(out.subendperiod,'String','1');
            m_v.seasonal = [0 1];
            set(out.seasonal,'Enable','off','Value',0);
            set(out.noseasonal,'Enable','off','Value',1);
         end;
         set(out.seasonal,'UserData',m_v.freq);
         set(out.run,'Enable','on');
         if strcmp(strtrim(m_v.evars),'')==1;
            set(out.endogenoustext,'String','Endogenous variables:  Not determined');
         else;
            set(out.endogenoustext,'String',['Endogenous variables:  ' m_v.evars]);
         end;
         set(out.estimate,'Enable','on');
         set(out.model_select,'Enable','on');
         set(out.store,'Enable','on');
         set(out.savemenu,'Enable','on');
         set(out.endogenous,'UserData',m_v.modelsdir);
         set(out.endonames,'Enable','on');
         set(out.endonamesmenu,'Enable','on');
         set(out.change_endonames,'Enable','on','CData',button_images.rename);
         set(out.endographicsmenu,'Enable','on');
         set(out.beginyear,'Enable','on','BackgroundColor',[1 1 1]);
         set(out.beginperiod,'Enable','on','BackgroundColor',[1 1 1]);
         set(out.endyear,'Enable','on','BackgroundColor',[1 1 1]);
         set(out.endperiod,'Enable','on','BackgroundColor',[1 1 1]);
         set(out.subbeginyear,'Enable','on','BackgroundColor',[1 1 1]);
         set(out.subbeginperiod,'Enable','on','BackgroundColor',[1 1 1]);
         set(out.subendyear,'Enable','on','BackgroundColor',[1 1 1]);
         set(out.subendperiod,'Enable','on','BackgroundColor',[1 1 1]);
         set(out.sample,'Enable','on');
         set(out.subsample,'Enable','on');
         set(out.mypopup,'Enable','on');
         set(out.mypopuph,'Enable','on');
         set(out.mypopupc,'Enable','on');
         set(out.mypopuptext,'Enable','on');
         set(out.mypopuphtext,'Enable','on');
         set(out.mypopupctext,'Enable','on');
         set(out.radiocoint,'Enable','on');
         set(out.radionocoint,'Enable','on');
         set(out.serial,'Enable','on');
         set(out.arch,'Enable','on');
         set(out.normality,'Enable','on');
         set(out.constancy,'Enable','on');
         set(out.uconstant,'Enable','on');
         set(out.rconstant,'Enable','on');
         set(out.utrend,'Enable','on');
         set(out.rtrend,'Enable','on');
         set(out.structural,'Enable','on');
         set(out.reduced,'Enable','on');
         set(fig,'UserData',out);
         ud = get(out.statusbar,'UserData');
         ud.string = 'Ready';
         set(out.statusbar,'String','Ready','UserData',ud);
      elseif (filestatus==0)&(strcmp(action,'Cancel')==0);
         if (matlabnumber<6.0)&(strcmp(getext(m_v.endofile),'.xls')==1)&(iscompiled==0);
            txt = ['The file you selected, ' getfilename(m_v.endofile) ', is an Excel spreadsheet. It cannot be read by this version of Matlab.'];
         elseif (matlabnumber<6.0)&(strcmp(getext(m_v.endofile),'.xls')==1)&(iscompiled==1);
            txt = ['The file you selected, ' getfilename(m_v.endofile) ', is an Excel spreadsheet. It cannot be read since the stand-alone release compilation was based on MatLab version ' matlabversion '.'];
         else;
            txt = ['The file you selected, ' getfilename(m_v.endofile) ', does not contain any numeric data.'];
         end;
         about(txt,'error','Bad data...',120,400);
         m_v.endofile = oldmodel_var.endofile;
         m_v.endosheet = oldmodel_var.endosheet;
         set(out.endogenous,'String',m_v.endofile);
         set(fig,'UserData',out);
      elseif (filestatus==-1)&(strcmp(action,'Cancel')==0);
         txt = ['The file you selected, ' getfilename(m_v.endofile) ', has missing observations.'];
         about(txt,'error','Bad data...',120,400);
         m_v.endofile = oldmodel_var.endofile;
         m_v.endosheet = oldmodel_var.endosheet;
         set(out.endogenous,'String',m_v.endofile);
         set(fig,'UserData',out);
      elseif strcmp(action,'Cancel')==1;
         m_v.endofile = oldmodel_var.endofile;
         m_v.endosheet = oldmodel_var.endosheet;
         set(out.endogenous,'String',m_v.endofile);
         set(fig,'UserData',out);
      end;
   else;
      maindlg('close');
   end;
end;
set(out.endogenous,'UserData',m_v.modelsdir);
m_v.cointvalue = get(out.radiocoint,'Value');
m_v.newdeterselect(1,1) = get(out.uconstant,'Value');
m_v.newdeterselect(1,2) = get(out.rconstant,'Value');
m_v.newdeterselect(1,3) = get(out.utrend,'Value');
m_v.newdeterselect(1,4) = get(out.rtrend,'Value');
m_v.newmodeltype(1,1) = get(out.structural,'Value');
m_v.newmodeltype(1,2) = get(out.reduced,'Value');
m_v.newseasonal(1,1) = get(out.seasonal,'Value');
m_v.newseasonal(1,2) = get(out.noseasonal,'Value');
modeldesc = getmodeldesc(m_v);
set(out.text,'String',modeldesc);

%
% end of main_checkendo_fcn.m
%
