function normeps = normresid(epsilon)

[n T] = size(epsilon);
Omega = (1/T)*epsilon*epsilon';
V = inverse(sqrt(diag(diag(Omega))));
C = V*Omega*V;
[H,lambda] = eig(C);
normeps = H*inverse(sqrt(lambda))*H'*V*epsilon;

%
% end of normresid.m
%
