function print_ploberger(tm,curr_ini,beta,aind)

fout = fopen(tm.outputfile,'at');
%
if aind==1;
   [smat,k,abort,dstr] = pkktest(tm.Z0,tm.Z1,tm.Z2,beta,tm.d,tm.dcoint,curr_ini.T0,tm.samplebeg,tm.sampleend,tm.freq,0,tm.modelfile,tm.modelsdir,1);
else;
   [smat,k,abort,dstr] = pkktest(tm.Z0,tm.Z1,tm.Z2,beta,tm.d,tm.dcoint,curr_ini.T0,tm.samplebeg,tm.sampleend,tm.freq,0);
end;
%
if isempty(smat)==0;
   [mymaxi mymaxj] = max(smat);
   spmat = 1-ploberger_cdf(mymaxi',k);
   if curr_ini.texoutputformat>=2;
      fprintf(fout,'\\subsection*{Ploberger-Krmer-Kontrus fluctuation test}\n\n');
      fprintf(fout,'\\begin{tabular}{ll}\n');
      fprintf(fout,'$H_0$: & Short run coefficients in equation $k$ are constant for all $t$ in \\{%s, $\\ldots$ ,%s\\} \\\\\n',strrep(dstr(1,:),' ',''),getdate(tm.samplebeg,tm.sampleend,tm.freq,1));
      fprintf(fout,'$H_A$: & Short run coefficients in equation $k$ are not constant \\\\[2mm]\n');
      fprintf(fout,'\\end{tabular}\n\n\\begin{tabular}{rrrr}\n');
      fprintf(fout,'$k$ & S(%s) & $p$-value & $t$ \\\\\n',num2str(k,'%0.0f'));
      for i=1:tm.n;
         if mymaxj(i)>size(dstr,1);
            thisdate = getdate(tm.samplebeg,tm.sampleend,tm.freq,1);
         else;
            thisdate = dstr(mymaxj(i),:);
         end;
         fprintf(fout,['%s & %0.' num2str(curr_ini.decimals,'%0.0f') 'f & %0.' num2str(curr_ini.decimals,'%0.0f') 'f & %s \\\\\n'],txt2ltxmath(strtrim(tm.myvars(i,:))),mymaxi(i),spmat(i),thisdate);
      end;
      fprintf(fout,'\\end{tabular}\n\n\\ruler\n\n%%==============================================================================\n\n');
   else;
      fprintf(fout,'  Ploberger-Krmer-Kontrus fluctuation test\n');
      fprintf(fout,'  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n\n');
      fprintf(fout,'Null hypothesis:        Short run coefficients in equation k\n');
      fprintf(fout,'                        are constant for all t in {%s,...,%s}\n',strrep(dstr(1,:),' ',''),getdate(tm.samplebeg,tm.sampleend,tm.freq,1));
      fprintf(fout,'Alternative hypothesis: Short run coefficients in equation k\n');
      fprintf(fout,'                        are not constant\n\n');
      fprintf(fout,' k              S(%s)      p-value      t\n\n',num2str(k,'%0.0f'));
      for i=1:tm.n;
         if mymaxj(i)>size(dstr,1);
            thisdate = getdate(tm.samplebeg,tm.sampleend,tm.freq,1);
         else;
            thisdate = dstr(mymaxj(i),:);
         end;
         fprintf(fout,['%s       %' num2str(8+curr_ini.decimals,'%0.0f') '.' num2str(curr_ini.decimals,'%0.0f') 'f      %0.' num2str(curr_ini.decimals,'%0.0f') 'f     %s \n'],tm.myvars(i,:),mymaxi(i),spmat(i),thisdate);
      end;
      fprintf(fout,'\n===============================================================================\n\n');
   end;
end;
fclose(fout);

%
% end of print_ploberger.m
%
