function show_ploberger(fig_handle,beta,tm,curr_ini,ind,aind)

set(fig_handle,'Visible','off');
drawnow;
drawnow;
%
file_str = '';
if ind==1;
   file_str = 'rest-';
end;
realscrsz = get(0,'ScreenSize');
%
if (size(tm.restrict,2)==3)&(tm.restrict(1,3)==1);
   [smat,k,abort] = pkktest(tm.Z0,tm.Z1,tm.Z2,beta,tm.d,tm.dcoint,curr_ini.T0,tm.samplebeg,tm.sampleend,tm.freq,1,tm.modelfile,tm.modelsdir,aind,1,tm.T,1,tm);
else;
   if aind==1;
      [smat,k,abort] = pkktest(tm.Z0,tm.Z1,tm.Z2,beta,tm.d,tm.dcoint,curr_ini.T0,tm.samplebeg,tm.sampleend,tm.freq,1,tm.modelfile,tm.modelsdir,1);
   else;
      [smat,k,abort] = pkktest(tm.Z0,tm.Z1,tm.Z2,beta,tm.d,tm.dcoint,curr_ini.T0,tm.samplebeg,tm.sampleend,tm.freq,1);
   end;
end;
%
plot_handles = [];
if isempty(smat)==0;
   if strcmp(abort,'cancel')==0;
      cval = plobinv(tm.cbs,k,1);
      set(fig_handle,'Visible','on');
      drawnow;
      drawnow;
      if curr_ini.colors==1;
         colorstr = 'b';
         colorstr2 = 'r';
         typestr = '-';
      else;
         colorstr = 'k';
         colorstr2 = [0.5 0.5 0.5];
         typestr = '--';
      end;
      %
      % setting up the actual sample period
      %
      dataindex = make_dataindex(tm.freq,tm.samplebeg,tm.sampleend);
      T1 = tm.T-size(smat,1)+1;
      dataindex = dataindex(T1:tm.T,:);
      thispos = [(realscrsz(3)-550)/2-22 (realscrsz(4)-360)/2+22];
      stats = [];
      file_names = '';
      for i=1:tm.n;
         thispos = [thispos(1,1)+22 thispos(1,2)-22];
         if thispos(1,1)>(realscrsz(3)-550);
            thispos = [0 realscrsz(4)-430];
         end;
         if thispos(1,2)>(realscrsz(4)-430);
            thispos = [0 realscrsz(4)-430];
         elseif thispos(1,2)<32;
            thispos = [0 realscrsz(4)-430];
         end;
         myplot = figure('Units','pixels', ...
            'Position',[thispos 550 360], ...
            'Menubar','none', ...
            'Toolbar','none', ...
            'NumberTitle','off', ...
            'Visible','off', ...
            'Name',['Recursive Fluctuation Tests for ' strrep(tm.myvars(i,:),' ','')]);
         %
         % obey centering and filling defaults
         %
         setfigureproperties(myplot);
         %
         %
         % Setting up the plot
         %
         plot(dataindex,smat(:,i)','-','LineWidth',1,'Color',colorstr,'Tag',['pkk-test-' strrep(tm.myvars(i,:),' ','')]);
         hold('on');
         plot(dataindex,cval*ones(size(dataindex,1),1),typestr,'LineWidth',1,'Color',colorstr2);
         set(gca,'XLim',[dataindex(1,1) dataindex(tm.T+1-T1,1)]);
         set(gca,'YLim',[0 max(cval,max(smat(:,i)))+0.5]);
         setaxesfonts('Title',['Ploberger-Krmer-Kontrus-tests for ' strrep(tm.myvars(i,:),' ','') ' with ' num2str(tm.cbs) ' % critical value']);
         myleg = legend_fcn('Fluc. test',['cr. val. S(' num2str(k,'%0.0f') ')'],1);
         setaxesfonts(myleg);
         set(gca,'UserData',myleg);
         toolbar_fcn(gca);
         hold('off');
         if curr_ini.external==0;
            plot_handles = [plot_handles myplot];
         else;
            file = [tm.outputdir 'plob-s-' file_str strrep(tm.myvars(i,:),' ','') '-' num2str(tm.r)];
            mstat = autosavefigure(myplot,file);
            stats = [stats mstat];
            file_names = strvcat(file_names,file);
         end;
      end;
      if (curr_ini.external==1)&(isempty(stats)==0);
         for i=1:size(stats,2);
            if stats(i)==0;
               autoshowfigure(strtrim(file_names(i,:)));
            end;
         end;
      elseif curr_ini.external==0;
         for i=1:size(plot_handles,2);
            set(plot_handles(1,i),'Visible','on');
         end;
      end;
   else;
      set(fig_handle,'Visible','on');
      drawnow;
   end;
else;
   txt = 'There are too few observations to estimate parameters recursively.';
   about(txt,'information','Recursions...',120,350);
   set(fig_handle,'Visible','on');
   drawnow;
end;

%
% end of show_ploberger.m
%
